package cn.superdesk.uniorder.service.unified.impl;

import cn.superdesk.uniorder.dao.entity.unified.UnifiedCustomerContactsKey;
import cn.superdesk.uniorder.dao.mapper.unified.UnifiedCustomerContactsMapper;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedCustomerContactsDetail;
import cn.superdesk.uniorder.service.unified.UnifiedCustomerContactsService;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class UnifiedCustomerContactsServiceImpl implements UnifiedCustomerContactsService {

    @Autowired
    private UnifiedCustomerContactsMapper unifiedCustomerContactsMapper;


    @Override
    public int insertSelective(UnifiedCustomerContactsKey t) {

        return unifiedCustomerContactsMapper.insertSelective(t);
    }

    @Deprecated
    @Override
    public int updateByPrimaryKeySelective(UnifiedCustomerContactsKey t) {

        return 0;

    }

    @Override
    public void deleteObj(Long id) {


    }

    @Override
    public UnifiedCustomerContactsKey findById(Long id) {

        return null;
    }


    @Override
    public List<UnifiedCustomerContactsKey> findAll(Map<String, Object> queryMap) {

        return null;
    }

    @Override
    public PageInfo<UnifiedCustomerContactsKey> findByPaging(Map<String, Object> params, Integer pageNo,
                                                             Integer pageSize) {

        return null;
    }

    @Override
    public List<UnifiedCustomerContactsDetail> getContacts(Long virtId) {

        return unifiedCustomerContactsMapper.getContacts(virtId);
    }

}
